Bug 240973 - RFE: Allow debugging to be enabled on the fly
RFE: Allow debugging to be enabled on the fly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On: 251993
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 10:57 EDT by Jeffrey Moyer
Modified: 2010-10-22 11:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0702
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add a daemon option to set the log priority at run-time. (8.73 KB, patch)
2007-08-13 14:17 EDT, Jeffrey Moyer
no flags Details | Diff
Updated version of the patch to enable switching log priorities at run-time. (10.15 KB, patch)
2007-09-12 15:36 EDT, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2007-05-23 10:57:25 EDT
Description of problem:
Currently, in order to enable debugging for the autofs daemon, one has to
restart the daemon.  Unfotunately, when experiencing transient problems, this
often makes the problematic behaviour go away.  It would be better if the daemon
supported a mechanism to enable debugging at run-time.
Comment 1 Jeffrey Moyer 2007-08-13 14:17:52 EDT
Created attachment 161200 [details]
Add a daemon option to set the log priority at run-time.
Comment 2 Jeffrey Moyer 2007-09-11 17:19:35 EDT
I just added an RHTS test for this functionality under
/CoreOS/autofs/bugzillas/bz240973.
Comment 3 Jeffrey Moyer 2007-09-12 15:36:15 EDT
Created attachment 193861 [details]
Updated version of the patch to enable switching log priorities at run-time.

This patch works with multiple automount processes.  It also adds documentation
of the new command-line parameter.
Comment 4 RHEL Product and Program Management 2007-11-28 23:19:56 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jeffrey Moyer 2008-01-02 14:33:14 EST
A fix for this issue was built into autofs version 4.1.3-131.1.
Comment 8 Barry Donahue 2008-06-12 10:23:28 EDT
Verified by RHTS job #23575
Comment 10 errata-xmlrpc 2008-07-24 15:51:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0702.html

Note You need to log in before you can comment on or make changes to this bug.